import { useI18n } from '../../../i18n';
import { FcrIconType } from '../../icon/type';
import { FcrToolTip } from '../../tooltip';
import { ActionBarItem } from '../item';
import { jsx as _jsx } from "react/jsx-runtime";
export var ScreenShare = function ScreenShare(_ref) {
  var id = _ref.id,
    order = _ref.order;
  var t = useI18n();
  var title = t('fmt_screenshare_controlbar_security_list_participant_screenshare');
  var tooltip = t('fmt_screenshare_controlbar_security_list_participant_screenshare');
  return /*#__PURE__*/_jsx(FcrToolTip, {
    content: tooltip,
    children: /*#__PURE__*/_jsx(ActionBarItem, {
      id: id,
      order: order,
      onClick: function onClick() {},
      icon: FcrIconType.FCR_SCREENSHARING,
      title: title,
      iconColors: {
        iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
      }
    })
  });
};